javax.validation

## Class ConstraintViolationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.validation.ValidationException
        - - javax.validation.ConstraintViolationException

- All Implemented Interfaces:
    Serializable

      public class ConstraintViolationException
      extends ValidationException

  Reports the result of constraint violations.
  Author:
    Emmanuel Bernard, Gunnar Morling
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintViolationException(Set<? extends ConstraintViolation<?>> constraintViolations)` Creates a constraint violation report.
    `ConstraintViolationException(String message, Set<? extends ConstraintViolation<?>> constraintViolations)` Creates a constraint violation report.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<ConstraintViolation<?>>` | `getConstraintViolations()` Set of constraint violations reported during a validation.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstraintViolationException

          public ConstraintViolationException(String message,
                                      Set<? extends ConstraintViolation<?>> constraintViolations)

      Creates a constraint violation report.
      Parameters:
        `message` - error message
        `constraintViolations` - `Set` of `ConstraintViolation`

    - #### ConstraintViolationException

          public ConstraintViolationException(Set<? extends ConstraintViolation<?>> constraintViolations)

      Creates a constraint violation report.
      Parameters:
        `constraintViolations` - `Set` of `ConstraintViolation`

  - ### Method Detail

    - #### getConstraintViolations

          public Set<ConstraintViolation<?>> getConstraintViolations()

      Set of constraint violations reported during a validation.
      Returns:
        `Set` of `ConstraintViolation`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.